Package org.apache.uima.cas.impl

# Class DebugFSLogicalStructure.IndexInfo

java.lang.Object
org.apache.uima.cas.impl.DebugFSLogicalStructure.IndexInfo

Enclosing class:
  DebugFSLogicalStructure

public static class DebugFSLogicalStructure.IndexInfo extends Object
Class holding information about an FSIndex Includes the "label" of the index, and a ref to the CAS this index contents are in.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CAS`
  `cas`
  `FSIndex<FeatureStructure>`
  `fsIndex`
  `String`
  `indexName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexInfo(CAS cas, String indexName)`
  `IndexInfo(CAS cas, String indexName, Type type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getContents()`
  `Object`
  `getKind()`
  `Object`
  `getSubTypes()`
  `Object`
  `getType()`
  `String`
  `toString()`
  Return a label identifying the content of the helper.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### indexName

    public String indexName

  - ### fsIndex

    public FSIndex<FeatureStructure> fsIndex

  - ### cas

    protected CAS cas

- ## Constructor Details

  - ### IndexInfo

    public IndexInfo(CAS cas, String indexName)

  - ### IndexInfo

    public IndexInfo(CAS cas, String indexName, Type type)
    Parameters:
      `cas` - The CAS the index lives in.
      `indexName` - The name of the index to create the helper object for.
      `type` - The subtype to restrict the index to, `null` to use the index base type.

- ## Method Details

  - ### getKind

    public Object getKind()

  - ### getType

    public Object getType()

  - ### getContents

    public Object getContents()

  - ### getSubTypes

    public Object getSubTypes()

  - ### toString

    public String toString()
    Return a label identifying the content of the helper.
    Overrides:
      `toString` in class `Object`
    Returns:
      the label string.